org.jgroups.blocks.executor

## Class ExecutionCompletionService.QueueingListener

- java.lang.Object
- - org.jgroups.blocks.executor.ExecutionCompletionService.QueueingListener

All Implemented Interfaces:
  FutureListener<V>

Enclosing class:
  ExecutionCompletionService<V>

    protected class ExecutionCompletionService.QueueingListener
    extends java.lang.Object
    implements FutureListener<V>

### Constructor Summary

Constructors
`protected` `ExecutionCompletionService.QueueingListener()`

### Method Summary

Methods
`void` `futureDone(java.util.concurrent.Future<V> future)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionCompletionService.QueueingListener

    protected ExecutionCompletionService.QueueingListener()

### Method Detail

#### futureDone

    public void futureDone(java.util.concurrent.Future<V> future)

Specified by:
  `futureDone` in interface `FutureListener<V>`